Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.common.spi
Class UniqueSetting

    java.lang.Object
      org.eclipse.emf.ecp.common.spi.UniqueSetting

    public class UniqueSetting

extends Object

Convenience class for managing settings.

Provides an equals method that returns `true` if the `EObject` and the `EStructuralFeature` are the same.

Since:
  1.5
Author:
  emueller

Method Summary
`static UniqueSetting` | `createSetting(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EStructuralFeature attribute)` Convenience method for creating a setting.
`static UniqueSetting` | `createSetting(org.eclipse.emf.ecore.EStructuralFeature.Setting setting)` Convenience method for creating a setting.
`boolean` | `equals(Object obj)`
`org.eclipse.emf.ecore.EObject` | `getEObject()` Returns the `EObject`.
`org.eclipse.emf.ecore.EStructuralFeature` | `getEStructuralFeature()` Returns the EAttribute of the `EObject`.
`org.eclipse.emf.ecore.EStructuralFeature.Setting` | `getSetting()` Return the `EStructuralFeature.Setting` wrapped in this `UniqueSetting`.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createSetting

    public static UniqueSetting createSetting(org.eclipse.emf.ecore.EObject eObject,
                                              org.eclipse.emf.ecore.EStructuralFeature attribute)

  Convenience method for creating a setting.

  Parameters:
    `eObject` - an `EObject`
    `attribute` - an EAttribute of the given `eObject`
  Returns:
    the constructed setting

### createSetting

    public static UniqueSetting createSetting(org.eclipse.emf.ecore.EStructuralFeature.Setting setting)

  Convenience method for creating a setting.

  Parameters:
    `setting` - the `EStructuralFeature.Setting` to wrap
  Returns:
    the constructed setting

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### getEObject

    public org.eclipse.emf.ecore.EObject getEObject()

  Returns the `EObject`.

  Returns:
    the `EObject`

### getEStructuralFeature

    public org.eclipse.emf.ecore.EStructuralFeature getEStructuralFeature()

  Returns the EAttribute of the `EObject`.

  Returns:
    the EAttribute

### getSetting

    public org.eclipse.emf.ecore.EStructuralFeature.Setting getSetting()

  Return the `EStructuralFeature.Setting` wrapped in this `UniqueSetting`.

  Returns:
    the wrapped `EStructuralFeature.Setting`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.